## GspellCheckerDialog

GspellCheckerDialog — Spell checker dialog

## Functions

GtkWidget * | gspell_checker_dialog_new ()
GspellNavigator * | gspell_checker_dialog_get_spell_navigator ()

## Properties

GspellNavigator * | spell-navigator | Read / Write / Construct Only

## Types and Values

| GspellCheckerDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GspellCheckerDialog

## Implemented Interfaces

GspellCheckerDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gspell/gspell.h>

## Description

GspellCheckerDialog is a GtkDialog to spell check a document one word at a time. It uses a GspellNavigator.

## Functions

### gspell_checker_dialog_new ()

    GtkWidget *
    gspell_checker_dialog_new (GtkWindow *parent,
                               GspellNavigator *navigator);

#### Parameters

parent | transient parent of the dialog. |
navigator | the GspellNavigator to use. |

#### Returns

a new GspellCheckerDialog widget.

### gspell_checker_dialog_get_spell_navigator ()

    GspellNavigator *
    gspell_checker_dialog_get_spell_navigator
                                   (GspellCheckerDialog *dialog);

#### Parameters

dialog | a GspellCheckerDialog. |

#### Returns

the GspellNavigator used.

[transfer none]

## Types and Values

### GspellCheckerDialog

    typedef struct _GspellCheckerDialog GspellCheckerDialog;

## Property Details

### The `“spell-navigator”` property

      “spell-navigator”          GspellNavigator *

The GspellNavigator to use.

Owner: GspellCheckerDialog

Flags: Read / Write / Construct Only

## See Also

GspellNavigator